%define major 1
%define libxfont %mklibname xfont %{major}
%define devxfont %mklibname xfont -d

Name: libxfont
Summary:  X font Library
Version: 1.4.7
%define subrel 1
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
Patch0: libXfont-1.4.7-CVE-2014-0209.patch
Patch1: libXfont-1.4.7-CVE-2014-0210-CVE-2014-0211.patch
# submitted upstream as bug #11573
Patch3: libXfont-1.3.4-rescan-catalogue-dir-fontpaths-on-directory-change.patch

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: bzip2-devel

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Provides: %{name} = %{version}
Requires: x11-font-encodings

%description -n %{libxfont}
X font Library

%files -n %{libxfont}
%{_libdir}/libXfont.so.%{major}
%{_libdir}/libXfont.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxfont}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxfont} = %{version}-%{release}
Provides: libxfont-devel = %{version}-%{release}
Obsoletes: %{_lib}xfont1-devel < 1.4.6-2
Obsoletes: %{_lib}xfont1-static-devel < 1.4.6-2

%description -n %{devxfont}
Development files for %{name}

%files -n %{devxfont}
%{_libdir}/libXfont.so
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%apply_patches

%build
%configure2_5x --disable-static \
	--with-encodingsdir=%{_datadir}/fonts/encodings \
	--with-bzip2
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Tue Jun 24 2014 luigiwalser <luigiwalser> 1.4.7-1.1.mga4
+ Revision: 639147
- add patches from ubuntu to fix CVE-2014-0209 and CVE-2014-021[01]

* Thu Jan 09 2014 tv <tv> 1.4.7-1.mga4
+ Revision: 565775
- new security release (mga#12237)

* Sat Oct 19 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 532719
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.4.6-2.mga4
+ Revision: 469466
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Wed Jul 24 2013 luigiwalser <luigiwalser> 1.4.6-1.mga4
+ Revision: 457737
- 1.4.6

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.4.5-3.mga3
+ Revision: 397157
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.4.5-2.mga3
+ Revision: 358575
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.4.5-1.mga2
+ Revision: 218463
- new release

* Thu Dec 22 2011 fwang <fwang> 1.4.4-2.mga2
+ Revision: 186034
- drop .la file

  + tv <tv>
    - new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.4.3-1.mga1
+ Revision: 5612
- imported package libxfont

